Subject: setsockopt(IP_TOS) being privileged or distinct capability?

From: Philip Prindeville <[email-masked]>
Date: Sat, 03 Jul 2010 11:58:45 -0600

Does anyone else think that setsockopt(IP_TOS) should be a privileged 
operation, perhaps using CAP_NET_ADMIN, or maybe even adding separate 
granularity as CAP_NET_TOS?

-Philip